var wxloadreaday=false;
if(!share_url)share_url=window.location.href;
if(appId && signature){
	wx.config({  
		debug: false,  
		appId: appId,  
		timestamp: timestamp,  
		nonceStr: nonceStr,  
		signature: signature,  
		jsApiList: [
			// 所有要调用的 API 都要加到这个列表中 
			'checkJsApi',
            'updateAppMessageShareData',
            'updateTimelineShareData',
			'onMenuShareWeibo', 
            'getLocation'
		]
	}); 
	wx.ready(function () {
	    wxloadreaday=true;
		//分享给朋友  
		//分享给朋友  QQ
		wx.updateAppMessageShareData({
			title: title, // 分享标题  
			desc: description, // 分享描述  
			link: share_url, // 分享链接  
			imgUrl: goods_img_pic, // 分享图标   
			success: function () {
			    //showtoast('已分享!');
				// 用户确认分享后执行的回调函数  
				//$('#mcover').hide();return false;
			},  
			cancel: function () {   
				// 用户取消分享后执行的回调函数
				//showtoast('分享取消');$('#mcover').hide();return false;  
			}  
		});
        //分享到朋友圈   分享到QQ空间
		wx.updateTimelineShareData({  
			title: title, // 分享标题  
			link: share_url,  
			imgUrl: goods_img_pic, // 分享图标  
			success: function () {  
				// 分享成功执行此回调函数  
				//showtoast('已分享!');
                //$('#mcover').hide();return false;
			},  
			cancel: function () {  
				//showtoast('分享取消');$('#mcover').hide();return false;
			}  
		});
		
		//分享到腾讯微博
		wx.onMenuShareWeibo({  
			title: title, // 分享标题  
			desc: description, // 分享描述  
			link: share_url, // 分享链接  
			imgUrl: goods_img_pic, // 分享图标   
			success: function () {// showtoast('已分享!');  
				// 用户确认分享后执行的回调函数  
			//	$('#mcover').hide();return false;
			},  
			cancel: function () {   
				// 用户取消分享后执行的回调函数
			//	showtoast('分享取消');$('#mcover').hide();return false;  
			}  
		});
	});  
}

function wxlocation(step){
    if(!appId || !signature)return false;
    if(step>5)return bdPosition();
   if(!wxloadreaday){
        setTimeout(function(){step++;
            wxlocation(step);
        },500);return;
   }
   wx.getLocation({
    type: 'wgs84', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
    success: function (res) {
        var y = res.latitude; // 纬度，浮点数，范围为90 ~ -90
        var x = res.longitude; // 经度，浮点数，范围为180 ~ -180。
        if(x && y){
            var ggPoint = new BMap.Point(x,y);
            var convertor = new BMap.Convertor();
            var pointArr = [];
            pointArr.push(ggPoint);
            convertor.translate(pointArr, 1, 5, translateCallback);
        }else{
            bdPosition();
        }
    }
  });
}